> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates the status of a registered LaunchPlan.

> Update the status of an existing launch plan definition. At most one launch plan version for a given {project, domain, name} can be active at a time. If this call sets a launch plan to active and existing version is already active, the result of this call will be that the formerly active launch plan will be made inactive and specified launch plan in this request will be made active. In the event that the formerly active launch plan had a schedule associated it with it, this schedule will be disabled. If the reference launch plan in this request is being set to active and has a schedule associated with it, the schedule will be enabled.



## OpenAPI

````yaml /api-specs/cloud/flyte-native-api.json put /api/v1/launch_plans/{id.project}/{id.domain}/{id.name}/{id.version}
openapi: 3.0.3
info:
  description: >-
    Reference for the upstream Flyte control plane API, which backs Domino
    Flows.
  title: Flyte native API
  version: version not set
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech/flows
security: []
tags:
  - name: Children
  - name: Data
  - name: Description entities
  - name: Domains
  - name: Events
  - name: Executions
  - name: Launch plans
  - name: Matchable attributes
  - name: Metrics
  - name: Named entities
  - name: Node executions
  - name: Project attributes
  - name: Project domain attributes
  - name: Projects
  - name: Task executions
  - name: Tasks
  - name: Version
  - name: Workflow attributes
  - name: Workflows
paths:
  /api/v1/launch_plans/{id.project}/{id.domain}/{id.name}/{id.version}:
    put:
      tags:
        - Launch plans
      summary: Updates the status of a registered LaunchPlan.
      description: >-
        Update the status of an existing launch plan definition. At most one
        launch plan version for a given {project, domain, name} can be active at
        a time. If this call sets a launch plan to active and existing version
        is already active, the result of this call will be that the formerly
        active launch plan will be made inactive and specified launch plan in
        this request will be made active. In the event that the formerly active
        launch plan had a schedule associated it with it, this schedule will be
        disabled. If the reference launch plan in this request is being set to
        active and has a schedule associated with it, the schedule will be
        enabled.
      operationId: AdminService_UpdateLaunchPlan
      parameters:
        - description: Name of the project the resource belongs to.
          in: path
          name: id.project
          required: true
          schema:
            type: string
        - description: |-
            Name of the domain the resource belongs to.
            A domain can be considered as a subset within a specific project.
          in: path
          name: id.domain
          required: true
          schema:
            type: string
        - description: User provided value for the resource.
          in: path
          name: id.name
          required: true
          schema:
            type: string
        - description: Specific version of the resource.
          in: path
          name: id.version
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AdminServiceUpdateLaunchPlanBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/adminLaunchPlanUpdateResponse'
          description: A successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
          description: An unexpected error response.
components:
  schemas:
    AdminServiceUpdateLaunchPlanBody:
      properties:
        id:
          description: |-
            Identifier of launch plan for which to change state.
            +required.
          properties:
            org:
              description: Optional, org key applied to the resource.
              type: string
            resource_type:
              $ref: '#/components/schemas/coreResourceType'
          title: |-
            Identifier of launch plan for which to change state.
            +required.
          type: object
        state:
          $ref: '#/components/schemas/adminLaunchPlanState'
      title: |-
        Request to set the referenced launch plan state to the configured value.
        See LaunchPlan for more details
      type: object
    adminLaunchPlanUpdateResponse:
      description: Purposefully empty, may be populated in the future.
      type: object
    googlerpcStatus:
      properties:
        code:
          format: int32
          type: integer
        details:
          items:
            $ref: '#/components/schemas/protobufAny'
          type: array
        message:
          type: string
      type: object
    coreResourceType:
      default: UNSPECIFIED
      description: >-
        Indicates a resource type within Flyte.

         - DATASET: A dataset represents an entity modeled in Flyte DataCatalog. A Dataset is also a versioned entity and can be a compilation of multiple individual objects.
        Eventually all Catalog objects should be modeled similar to Flyte
        Objects. The Dataset entities makes it possible for the UI  and CLI to
        act on the objects 

        in a similar manner to other Flyte objects
      enum:
        - UNSPECIFIED
        - TASK
        - WORKFLOW
        - LAUNCH_PLAN
        - DATASET
      type: string
    adminLaunchPlanState:
      default: INACTIVE
      description: >-
        By default any launch plan regardless of state can be used to launch a
        workflow execution.

        However, at most one version of a launch plan

        (e.g. a NamedEntityIdentifier set of shared project, domain and name
        values) can be

        active at a time in regards to *schedules*. That is, at most one
        schedule in a NamedEntityIdentifier

        group will be observed and trigger executions at a defined cadence.
      enum:
        - INACTIVE
        - ACTIVE
      type: string
    protobufAny:
      additionalProperties: {}
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
      properties:
        '@type':
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
          type: string
      type: object

````

## Related topics

- [Fetch a list of LaunchPlan definitions.](/api-reference/launch-plans/fetch-a-list-of-launchplan-definitions.md)
- [List active versions of LaunchPlan.](/api-reference/launch-plans/list-active-versions-of-launchplan.md)
- [Fetch a LaunchPlan definition.](/api-reference/launch-plans/fetch-a-launchplan-definition.md)
- [Create and upload a LaunchPlan definition](/api-reference/launch-plans/create-and-upload-a-launchplan-definition.md)
